alt-php81 (8.1.34-22) stable; urgency=low

  * ALTPHP-2485: fix alt-phpXY-fpm failing to start on non-panel hosts. The default www.conf pool now listens on a per-version unix socket (/var/run/alt-phpXY-fpm.sock) instead of the shared 127.0.0.1:9000, so multiple alt-php FPM services no longer collide on the same TCP port. On Debian-like distros the pool group is set to nogroup (no nobody group). Ship an empty _.conf in the /opt/cpanel php-fpm.d dir so its include glob matches on non-cPanel hosts (suppresses the "Nothing matches" warning).

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 30 Jun 2026 12:00:00 +0200

alt-php81 (8.1.34-20) stable; urgency=low

  * ALTPHP-2352: add php.d.std scan directory for standalone environments

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sun, 21 Jun 2026 12:00:00 +0200

alt-php81 (8.1.34-19) stable; urgency=low

  * ALTPHP-2476: allow libpcre2 for build, guard libpcre3 runtime dep on
    Debian >= 13 / Ubuntu >= 26 where the libpcre3 packages were removed.

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 16 Jun 2026 12:00:00 +0000

alt-php81 (8.1.34-18) stable; urgency=low

  * CLOS-4642: LSWS site-isolation - normalize trailing slash in docroot hash

 -- Sandro Kalatozishvili <skalatozishvili@cloudlinux.com>  Thu, 18 Jun 2026 13:47:08 +0000

alt-php81 (8.1.34-17) stable; urgency=low

  * ALTPHP-2474: Rename www.conf.default to www.conf so FPM starts by default

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 12 Jun 2026 10:00:00 +0000

alt-php81 (8.1.34-16) stable; urgency=low

  * CLOS-4506: Fix lsphp site-isolation ctor overwriting per-vhost DOCUMENT_ROOT
  * ALTPHP-2448: Gate postun per-user PHP Selector reset on Elevate upgrade markers

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 03 Jun 2026 10:00:00 +0000

alt-php81 (8.1.34-15) stable; urgency=medium

  * ALTPHP-2406: use alt-libicu71 for all OS

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 28 May 2026 15:00:00 +0200

alt-php81 (8.1.34-14) stable; urgency=medium

  * EA4D-825: rename alt-phpXY-fpm -> alt-phpXY-php-fpm

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sun, 25 May 2026 12:00:00 +0200

alt-php81 (8.1.34-13) stable; urgency=medium

  * SECURITY UPDATE: soap extension use-after-free via apache:Map duplicate keys
    - debian/patches/php-8.1-CVE-2026-6722.patch: backport upstream commit
      aee3b3ac9b in ext/soap/php_encoding.c — add Z_TRY_ADDREF_P on
      soap_add_xml_ref insertion and change SOAP_GLOBAL(ref_map) destructor
      to ZVAL_PTR_DTOR.
    - CVE-2026-6722
  * SECURITY UPDATE: pdo_firebird SQL injection via NUL bytes in quoted strings
    - debian/patches/php-8.1-CVE-2025-14179.patch: backport upstream commit
      3f40b65323 in ext/pdo_firebird/firebird_driver.c — replace
      strncat/strncpy/strcpy in preprocess() with memcpy plus explicit length
      tracking.
    - CVE-2025-14179
  * SECURITY UPDATE: soap extension NULL pointer dereference via apache:Map
    item missing <value> element
    - debian/patches/php-8.1-CVE-2026-7262.patch: backport upstream commit
      79551ab8b1 in ext/soap/php_encoding.c — fix typo'd null check in
      to_zval_map() (was checking xmlKey, should check xmlValue).
    - CVE-2026-7262
  * SECURITY UPDATE: php-fpm status endpoint XSS via unescaped request_uri
    - debian/patches/php-8.1-CVE-2026-6735.patch: backport upstream commit
      99a5ad7441 in sapi/fpm/fpm/fpm_status.c — escape proc->request_uri
      with php_escape_html_entities_ex() / php_json_encode_string() and
      fix the broken "ENT_HTML_IGNORE_ERRORS & ENT_COMPAT" flag (bitwise-
      AND of two flag constants evaluates to 0). Applies with line
      offsets only against PHP 8.1.34.
    - CVE-2026-6735
  * SECURITY UPDATE: mbstring NULL pointer dereference in
    php_mb_check_encoding() via mb_ereg_search_init()
    - debian/patches/php-8.1-CVE-2026-7259.patch: backport upstream commit
      79a054eae0 in ext/mbstring/php_mbregex.c — resolve the mbfl
      encoding before storing it in MBREX(current_mbctype_mbfl_encoding)
      and return FAILURE if NULL (encodings supported by Oniguruma but
      not mbfl such as iso-8859-11, UJIS, KOI8-R).
    - CVE-2026-7259
  * SECURITY UPDATE: soap SoapServer use-after-free after header parsing
    failure when SOAP_PERSISTENCE_SESSION is set
    - debian/patches/php-8.1-CVE-2026-7261.patch: backport upstream commit
      db2a7f9348 in ext/soap/soap.c — guard both zval_ptr_dtor(soap_obj)
      call sites in PHP_METHOD(SoapServer, handle) with
      "if (service->soap_class.persistence != SOAP_PERSISTENCE_SESSION)".
      Adapted to 8.1's fault path (extra zend_string_release(fn_name)
      before each dtor).
    - CVE-2026-7261
  * SECURITY UPDATE: metaphone() signed integer overflow on >INT_MAX input
    - debian/patches/php-8.1-CVE-2026-7568.patch: backport upstream commit
      47def8ce1d in ext/standard/metaphone.c — retype w_idx and
      Lookahead's how_far/idx from int to size_t to avoid signed overflow
      while walking strings larger than 2 GB on 64-bit builds.
    - CVE-2026-7568

 -- Juan Carlos Garcia <jgarcia@cloudlinux.com>  Thu, 14 May 2026 09:00:00 +0200

alt-php81 (8.1.34-12) stable; urgency=medium

  * CLOS-4167: per-domain CageFS site-isolation support in lsphp

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sun, 10 May 2026 11:59:35 +0200

alt-php81 (8.1.34-11) stable; urgency=medium

  * ALTPHP-2310: enable sodium extension build for Debian platforms.

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Mon, 20 Apr 2026 12:00:00 +0400

alt-php81 (8.1.34-10) stable; urgency=medium

  * Add Ubuntu 26.04 (Resolute) debian build support

 -- Nikolai Mardanov <nmardanov@cloudlinux.com>  Wed, 15 Apr 2026 00:00:00 +0000

alt-php81 (8.1.34-8) stable; urgency=medium

  * ALTPHP-2289: Update LiteSpeed SAPI to version 8.3

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Thu, 02 Apr 2026 00:35:43 +0400

alt-php81 (8.1.34-7) stable; urgency=medium

  * Update php-fpm patch to v4 for per-domain resource isolation support

 -- Razmik Manvelyan <rmanvelyan@cloudlinux.com>  Tue, 17 Mar 2026 00:00:00 +0000

alt-php81 (8.1.34-5) stable; urgency=medium

  * ALTPHP-2341: Update php-fpm lve patch to extract doc_root from
    php_admin_values for CageFS per-domain isolation

 -- Arseniy Zolotarev <azolotarev@cloudlinux.com>  Mon, 23 Feb 2026 00:00:00 +0000

alt-php81 (8.1.34-4) stable; urgency=medium

  * ALTPHP-2312: fix hardcoded x86_64 OpenSSL lib path in debian/rules
    for arm64 support

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Thu, 12 Feb 2026 14:00:00 +0400

alt-php81 (8.1.34-3) stable; urgency=medium

  * EA4D-739: Make FPM config compatible with CPanel

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Wed, 28 Jan 2026 17:00:00 +0200

alt-php81 (8.1.34-2) stable; urgency=medium

  * ALTPHP-2277: add lve support for fpm handler

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 20 Jan 2026 11:59:00 +0100

alt-php81 (8.1.34-1) stable; urgency=medium

  * ALTPHP-2262: update to 8.1.34.

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Tue, 23 Dec 2025 11:00:00 +0400

alt-php81 (8.1.33-8.1) stable; urgency=medium

  * change displayname plesk handlers to "X.Y.Z (Secured)"

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 05 Nov 2025 21:09:00 +0100

alt-php81 (8.1.33-8) stable; urgency=medium

  * ALTPHP-2216: change displayname for plesk's handlers

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 31 Oct 2025 10:46:00 +0100

alt-php81 (8.1.33-7.1) stable; urgency=medium

  * ALTPHP-2183: Build for Debian 13

 -- Vladimir D. Seleznev <vseleznev@cloudlinux.com>  Thu, 16 Oct 2025 08:17:00 +0300

alt-php81 (8.1.33-7) stable; urgency=medium

  * ALTPHP-2172: Remove duplicated lines in php-fpm.conf

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Tue, 23 Sep 2025 17:00:00 +0200

alt-php81 (8.1.33-6) stable; urgency=medium

  * ALTPHP-2135: Enable PCRE JIT by default

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Fri, 19 Sep 2025 15:00:00 +0200

alt-php81 (8.1.33-5) stable; urgency=medium

  * ALTPHP-2168: Add includes to php-fpm.conf
  * ALTPHP-2168: Make the paths in php-fpm.conf and logrotate even

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 15 Sep 2025 20:00:00 +0200

alt-php81 (8.1.33-4) stable; urgency=medium

  * ALTPHP-2150: Support mod_php on Debian-based systems

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Thu, 04 Sep 2025 15:20:00 +0100

alt-php81 (8.1.33-3) stable; urgency=medium

  * ALTPHP-2132: update plesk's handler conf file
  * ALTPHP-2131: leave only one php.fpm config
  * EA4D-687: set error_log env in php.ini
  * ALTPHP-2080: Refactor debian spec

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 03 Sep 2025 14:41:00 +0200

alt-php81 (8.1.33-2.1) stable; urgency=medium

  * ALTPHP-2143: Fix mysql socket path

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Tue, 19 Aug 2025 20:00:00 +0200
 
alt-php81 (8.1.33-2) stable; urgency=medium

  * ALTPHP-2080: Refactor debian spec

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 14 Jul 2025 17:00:00 +0200

alt-php81 (8.1.33-1) stable; urgency=medium

  * ALTPHP-2100: update to 8.1.33.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 02 Jul 2025 15:20:00 +0100

alt-php81 (8.1.32-5) stable; urgency=medium

  * ALTPHP-2049: Change method of creating php_handlers for plesk.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Thu, 22 May 2025 15:20:00 +0100

alt-php81 (8.1.32-3) stable; urgency=medium

  * Security fixes
    - CVE-2024-11235: use-after-free for ??= due to incorrect live-range
      calculation

 -- Dmitrii Samoilov <dsamoilov@cloudlinux.com>  Fri, 11 Apr 2025 06:56:27 +0000

alt-php81 (8.1.32-2) stable; urgency=medium

  * ALTPHP-2031: write ioncube ext at the beginning of the default.ini conf

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 31 Mar 2025 17:25:00 +0200

alt-php81 (8.1.32-1) stable; urgency=medium

  * ALTPHP-2021: update to 8.1.32

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 12 Mar 2025 11:09:00 +0100

alt-php81 (8.1.31-2) stable; urgency=medium

  * ALTPHP-1943: do not create dat file for lve if it is not cagefs
    environment

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 19 Feb 2025 15:51:00 +0100

alt-php81 (8.1.31-1) stable; urgency=medium

  * ALTPHP-1902: update to 8.1.31

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 20 Nov 2024 10:29:00 +0100

alt-php81 (8.1.30-2.1) stable; urgency=medium

  * EA4D-577: rebuild with alt-curlssl for all deb platforms

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 30 Oct 2024 15:44:00 +0100

alt-php81 (8.1.30-2) stable; urgency=medium

  * ALTPHP-1839: Change lsapi naming

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 30 Sep 2024 13:00:00 +0100

alt-php81 (8.1.30-1) stable; urgency=medium

  * ALTPHP-1859: update to 8.1.30

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 27 Sep 2024 11:47:00 +0200

alt-php81 (8.1.29-3) stable; urgency=medium

  * ALTPHP-1784: add selinux attribut httpd_exec_t to php-fpm bin

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 17 Jul 2024 17:23:00 +0200

alt-php81 (8.1.29-2) stable; urgency=medium

  * ALTPHP-1776: fpm should be installed with cli package.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Fri, 21 Jun 2024 15:20:00 +0100

alt-php81 (8.1.29-1) stable; urgency=medium

  * ALTPHP-1775: update to 8.1.29

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 05 Jun 2024 16:36:00 +0200

alt-php81 (8.1.28-2.1) stable; urgency=medium

  * ALTPHP-1764: Bumped release

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 23 May 2024 13:32:00 +0200

alt-php81 (8.1.28-2) stable; urgency=medium

  * ALTPHP-1738: Always build with alt-sqlite

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 22 Apr 2024 20:32:00 +0200

alt-php81 (8.1.28-1) stable; urgency=medium

  * update to 8.1.28

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 10 Apr 2024 17:29:00 +0200

alt-php81 (8.1.27-3) stable; urgency=medium

  * ALTPHP-855: set for mysql exts default path to /var/lib/mysql/mysql.sock

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 13 Mar 2024 16:17:00 +0100

alt-php81 (8.1.27-2) stable; urgency=medium

  * ALTPHP-1665: pack fpm as sub-package

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 16 Feb 2024 10:58:00 +0100

alt-php81 (8.1.27-1) stable; urgency=medium

  * update to 8.1.27

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 26 Dec 2023 10:38:00 +0100

alt-php81 (8.1.26-1) stable; urgency=medium

  * update to 8.1.26

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 22 Nov 2023 15:50:00 +0100

alt-php81 (8.1.25-1) stable; urgency=medium

  * update to 8.1.25

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 26 Oct 2023 16:08:00 +0200

alt-php81 (8.1.24-1) stable; urgency=medium

  * update to 8.1.24
  * ALTPHP-1541: Enable cache_phpdata calling after package installation on debian systems.

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 27 Sep 2023 15:39:00 +0200

alt-php81 (8.1.23-1.1) stable; urgency=medium

  * Fix path for sed

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 19 Sep 2023 12:17:00 +0200

alt-php81 (8.1.23-1) stable; urgency=medium

  * update to 8.1.23

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 01 Sep 2023 16:59:00 +0200

alt-php81 (8.1.22-1) stable; urgency=medium

  * update to 8.1.22

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 02 Aug 2023 16:32:00 +0200

alt-php81 (8.1.21-1) stable; urgency=medium

  * update to 8.1.21

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 05 Jul 2023 14:19:00 +0100

alt-php81 (8.1.20-1) stable; urgency=medium

  * update to 8.1.20

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 14 Jun 2023 11:43:00 +0100

alt-php81 (8.1.19-1) stable; urgency=medium

  * update to 8.1.19

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 12 May 2023 16:49:00 +0100

alt-php81 (8.1.18-2) stable; urgency=medium

  * Add optimization flag
  * Some code polishing of the rules

 -- Pavel Mayorov <pmayorov@cloudlinux.com>  Wed, 12 Apr 2023 12:19:00 +0300

alt-php81 (8.1.18-1) stable; urgency=medium

  * update to 8.1.18

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 12 Apr 2023 10:53:00 +0100

alt-php81 (8.1.17-1) stable; urgency=medium

  * update to 8.1.17

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 15 Mar 2023 11:01:00 +0100

alt-php81 (8.1.16-1) stable; urgency=medium

  * update to 8.1.16

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 15 Feb 2023 09:57:00 +0100

alt-php81 (8.1.15-1) stable; urgency=medium

  * update to 8.1.15

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 01 Feb 2023 11:15:00 +0100

alt-php81 (8.1.14-1) stable; urgency=medium

  * update to 8.1.14

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 11 Jan 2023 11:03:00 +0100

alt-php81 (8.1.13-2) stable; urgency=medium

  * Fix for debian

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Tue, 13 Dec 2022 20:32:00 +0200

alt-php81 (8.1.13-1) stable; urgency=medium

  * update to 8.1.13 version
  * update litespeed to 8.1

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 23 Nov 2022 18:46:00 +0100

alt-php81 (8.1.12-1) stable; urgency=medium

  * update to 8.1.12 version

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 28 Oct 2022 15:02:00 +0200

alt-php81 (8.1.11-1) stable; urgency=medium

  * update to 8.1.11 version

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 29 Sep 2022 15:29:00 +0200

alt-php81 (8.1.10-1) stable; urgency=medium

  * update to 8.1.10 version

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 01 Sep 2022 16:25:00 +0200

alt-php81 (8.1.9-2) stable; urgency=medium

  * ALTPHP-1326: Rebuild alt-php81 with bundled sqlite3.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Mon, 29 Aug 2022 16:20:00 +0400

alt-php81 (8.1.9-1) stable; urgency=medium

  * Update to 8.1.9 version

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 22 Aug 2022 16:55:00 +0200

alt-php81 (8.1.8-1) stable; urgency=medium

  * Update to 8.1.8 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Tue, 05 Jul 2022 18:41:05 -0400

alt-php81 (8.1.7-1) stable; urgency=medium

  * ALTPHP-1275: Updated to 8.1.7-1

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 26 May 2022 16:55:00 +0200

alt-php81 (8.1.6-1) stable; urgency=medium

  * ALTPHP-1275: Initial build

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 26 May 2022 16:55:00 +0200
